/*
    Crafted by love and by hand...
    2026 Marcsello
*/

/* Debugging */

/*
header {
    background: skyblue;
}

article {
    background: coral;
}

footer {
    background: aqua;
}

 */


:root {
    --title-color: #530513;
}

*::selection {
    background: #cc0000;
    color: #ffffff;
}

*::-moz-selection {
    background: #cc0000;
    color: #ffffff;
}

*::-webkit-selection {
    background: #cc0000;
    color: #ffffff;
}

.justify-content-center {
    justify-content: center;
}


html {
    scroll-behavior: smooth;
}

body {
    background-image: url("img/bg.jpg");
    background-size: 1000px;
    background-repeat-y: round;
    font-family: 'Libre Baskerville', cursive;
}

/* Sadly, sibling-index() is too new :( */
:nth-child(1) {
    --index: 1
}

:nth-child(2) {
    --index: 2
}

:nth-child(3) {
    --index: 3
}

:nth-child(4) {
    --index: 4
}

:nth-child(5) {
    --index: 5
}


article {
    min-height: 100vh;
    margin: 10vh 0;
}

main {

}

/* Medium devices (tablets, 768px and up) */
@media (min-width: 768px) {
    main {
        margin-left: 4vw;
        margin-right: 4vw;
    }
}

/* Large devices (desktops, 992px and up) */
@media (min-width: 992px) {
    main {
        margin-left: 10vw;
        margin-right: 10vw;
    }
}

/* we define some typography stuff here */

section {
    line-height: 1.6;
    font-size: 18px;

}

section p {
    margin: 24px 0;
}

section p.raised {
    font-size: 1.1em;
    font-weight: bolder;
}

h1 {
    font-family: "Amsterdam Three";
    color: var(--title-color);
}

h2 {
    font-style: italic;
    color: var(--title-color);
}

a {
    color: #743F34;
    transition-property: color;
    transition-duration: 500ms;
}

a:hover, a:active {
    color: #ad5f34;
}

hr {
    height: 1px;
    color: var(--title-color);
    background: var(--title-color);
    font-size: 0;
    border: 0;
}

@media screen and (prefers-reduced-motion: reduce) {
    html {
        scroll-behavior: auto;
    }
}

/* felso cucc alakatreszek */

@keyframes fadeup {
    0% {
        transform: translateY(100%);
        opacity: 0;
    }
    100% {
        transform: translateY(0%);
        opacity: 1;
    }
}

@keyframes half-fadeup {
    0% {
        transform: translateY(50%);
        opacity: 0;
    }
    100% {
        transform: translateY(0%);
        opacity: 1;
    }
}

@keyframes faderight {
    0% {
        transform: translateX(-5%);
        opacity: 0;
    }
    100% {
        transform: translateX(0%);
        opacity: 1;
    }
}

header {
    min-height: 100vh;
    width: 100%;
    margin-bottom: 10vh;

    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;

    line-height: normal;
}

div#whole-title {
    width: fit-content;
}

div#whole-title > h1 {
    font-size: 2.5rem;
    text-align: center;
    margin: 0;

    animation: 1.5s 150ms half-fadeup ease-out;
    animation-fill-mode: both;

}

div#whole-title .subtitle {
    margin: 0;
    font-size: 1rem;
    color: var(--title-color);

    text-align: center;
    position: relative;
    bottom: 0;

    /* font-style: italic; */
    animation: 1.5s 0.7s faderight ease-out;
    animation-fill-mode: both;
}

@media (min-width: 381px) {
    div#whole-title > h1 {
        font-size: 2.5rem;
    }

    div#whole-title .subtitle {
        text-align: right;
        bottom: 20px;
    }
}


@media (min-width: 768px) {
    div#whole-title > h1 {
        font-size: 3rem;
    }

    div#whole-title .subtitle {
        font-size: 1.3rem;
        bottom: 30px;
    }
}

@media (min-width: 992px) {
    div#whole-title > h1 {
        font-size: 5rem;
    }

    div#whole-title .subtitle {
        font-size: 2rem;
        bottom: 40px;
    }
}


header p#the-big-date {
    font-size: 1.5em;
    font-weight: bold;

    animation: 1.5s 1.2s fadeup ease-in-out;
    animation-fill-mode: both;
}

header ul {
    list-style-type: none;
    margin: 0;
    padding: 0;
    text-align: center;
}

header ul > li {
    font-size: 1.2rem;
    margin: 0.5rem 0;

    animation: 1.5s calc(2s + (300ms * var(--index))) fadeup ease-out;
    animation-fill-mode: both;

    line-height: 1.8em;
}

/* Medium devices (tablets, 768px and up) */
@media (min-width: 768px) {
    header ul > li {
        line-height: inherit;
    }
}

header #rsvp {
    margin-top: 10vh;

    animation: 1.5s 3.6s fadeup ease-out;
    animation-fill-mode: both;
}

a.big-button {
    width: 25vw;
    min-width: fit-content;
    background: #111;
    text-align: center;
    color: #ccc;
    padding: 0.7em 2em;
    border-radius: 25px;
    text-decoration: none;

    transition: color 500ms, background-color 500ms;

    display: block;
}

a.big-button:hover {
    background: #000;
    color: #fff;
}

@media (min-width: 768px) {
    header ul > li {
        font-size: 1.5rem;
    }

    p.the-big-date {
        font-size: 2em;
    }
}

/* cuccok */

main article#helyszin iframe {
    width: 100%;
    height: 75vh;
    border: 0;
}

main article h2 {
    font-size: 4rem;
}

table#program-table {
    border-collapse: collapse;
    font-size: 1.3em;
    width: 100%;
}

table#program-table tr > td {
    padding: 1em 0 1em 0;
}

table#program-table tr:first-child > td {
    padding-top: 0;
}
table#program-table tr:last-child > td {
    padding-bottom: 0;
}

table#program-table tr > td:first-child {
    text-align: right;
    width: 50%;
    border-right: 8px solid var(--title-color);
    padding-right: 2em;
}

table#program-table tr > td:last-child {
    width: 50%;
    padding-left: 2em;
}

@media (max-width: 440px) {
    table#program-table {
        font-size: 1.1em;
    }

    table#program-table tr > td:first-child {
        padding-right: 1em;
        width: 25%;
    }

    table#program-table tr > td:last-child {
        padding-left: 1em;
    }
}

@media (max-width: 400px) {
    table#program-table {
        font-size: 1em;
    }

    table#program-table tr > td:first-child {
        padding-right: 0.5em;
    }

    table#program-table tr > td:last-child {
        padding-left: 0.5em;
    }
}

.poem {
    font-style: italic;
    font-size: 1.1em; /* Everything else are big on that page */
}

.poem > p:first-child {
    margin-top: 0;
}

@media (max-width: 992px) {
    .poem {
        text-align: center;
        padding-top: 4em;
    }
}

/* generic susnya definitions */

img.bg-susnya {
    z-index: -100;
}

img.dekstop-susnya {
    position: absolute;
}

div.mobile-susnya {
    position: relative;
    height: 0;
    display: none;
}

div.mobile-susnya > img {
    position: absolute;
}

@media (max-width: 1400px) {
    img.dekstop-susnya {
        display: none;
    }
}

@media (max-width: 600px) {
    div.mobile-susnya {
        display: block;
    }
}

/* Specific susnya definitions */

img#sarki-susnyás {
    position: absolute;
    top: 0;
    left: 0;
    width: 80vw;
    height: auto;
}


@media (min-aspect-ratio: 1/1) {
    img#sarki-susnyás {
        width: auto;
        height: 100vh;
    }
}

img#susnya-1 {
    top: 250vh;
    left: 0;
    width: 25vw;
}

img#susnya-2 {
    top: 390vh;
    left: 120px;
    width: 25vw;
}

img#susnya-3 {
    top: 450vh;
    right: 0;
    width: 25vw;
}

img#susnya-4 {
    top: 150vh;
    right: 10px;
    width: 17vw;
}

img#susnya-5 {
    transform: rotateX(180deg);
    width: 75vw;
    bottom: -50px;
    left: 12vw;
}

img#susnya-6 {
    width: 75vw;
    bottom: -50px;
    left: 12vw;
}

/* scroll up */

a#scroll-up-btn {
    position: fixed;
    bottom: 32px;
    right: 32px;

    text-decoration: none;

    background: #ffffff;
    padding: 16px;

    border-radius: 5px 15px;

    box-shadow: #4442 2px 2px 15px 1px;

    z-index: 100;

    transition: opacity 1s;
}

a.scroll-btn-hidden {
    opacity: 0;
    cursor: default;
    pointer-events: none;
}

/* lablec alkatreszek */

footer {
    display: flex;
    flex-direction: column;
    align-items: center;
}

img#footer-virag {
    width: 75vw;
}

@media (min-width: 500px) {
    img#footer-virag {
        width: 50vw;
    }
}

@media (min-width: 1000px) {
    img#footer-virag {
        width: 25vw;
    }
}